import { HomePage } from './../home/home.page';
import { Component, OnInit } from '@angular/core';
import { Router } from  "@angular/router";
import { Events } from '@ionic/angular';

@Component({
  selector: 'app-index',
  templateUrl: './index.page.html',
  styleUrls: ['./index.page.scss'],
})
export class IndexPage implements OnInit {

  constructor(private  router:  Router, public events: Events) {
    this.segreteria = "consulenza";
    this.events.publish('functionCall:startup', null);
  }

  segreteria: string;

  loadDocumenti() {
  }

  loadOfferte()
  {

  }

  loadNotule()
  {

  }

  loadMovimenti()
  {

  }

  viewDocumenti()
  {
    this.router.navigateByUrl('home/documenti');
  }

  viewSegreteria()
  {
    this.router.navigateByUrl('home/segreteria');
  }

  requestDocumenti()
  {

  }

  requestSegreteria()
  {

  }

  ngOnInit() {
    this.requestDocumenti();
    this.requestSegreteria();
    this.loadDocumenti();
    this.loadOfferte();
    this.loadNotule();
    this.loadMovimenti();
  }

}
